package hello;

import java.time.LocalDateTime;

import jakarta.jws.WebService;

@WebService
public class Usluga {
	
	public String helloWorld() {
		return "Hello world";
	}
	
	public String witaj(String imie) {
		return "Witaj " + imie;
	}

	public String ktoraGodzina() {
		return LocalDateTime.now().toString();
	}
	
	public int oblicz(int x, int y, String operacja) {
		return switch (operacja) {
			case "+" -> x + y;
			case "-" -> x - y;
			case "*" -> x * y;
			case "/" -> x / y;
			default-> throw new IllegalArgumentException("Nieznana operacja " + operacja);
		};
	}
	
}
